ARMA
           ARMA Net           製品とサポート           通信販売           会社概要           求人情報       
ARMA 4.0

ARMA 3.0 マニュアル(ご参考用)

プレインストール PC

個人・小規模サイト
向けサポート
(パッケージ付属)


よくいただくお問い
合わせについて


対応ハードウェア情報

法人向け各種サービス

OSA-2004-51
 
 
1 サマリ
 
 
対象システム
ARMA2.0,ARMA2.1,ARMA2.2
パッケージ
libpng,libpng3
概要
複数の脆弱性
危険度
2
 
 
 
2 詳細
 
 バッファオーバーフロー脆弱性, 整数オーバーフロー脆弱性, NULLポインタ参照脆弱性が複数報告されています。細工された不正なファイルを外部から受けとった場合などに任意コードの実行や DoS 攻撃につながる可能性もあります。詳細は以下の URL をご参照下さい。
 
「CAN-2004-0597」 Common Vulnerabilities and Exposures
 
「CAN-2004-0598」 Common Vulnerabilities and Exposures
 
「CAN-2004-0599」 Common Vulnerabilities and Exposures
 
 
 
 
3 対処方法
 
 ARMA 2.1 では libpng-ogl_1.0.12-4o301, libpng3_1.2.1-1.1.woody7 で対処しています。root 権限で以下のコマンドを実行して下さい。
 
 
# apt-get update
# apt-get install libpng2 libpng3
 
 
 ARMA 2.2 では
  libpng12-0_1.2.5-10o201, libpng2_1.0.15-6 で対処しています。root 権限で以下のコマンドを実行して下さい。
 
 
# apt-get update
# apt-get install libpng2 libpng12-0 
 

COPYRIGHT (C)2018, オモイカネ株式会社 (Omoikane Inc.)
E-mail: info@omoikane.co.jp